[Release] [KK] Knight's Kits - Special Edition

Dieses Thema im Forum "Modifikationen - Releases" wurde erstellt von Knight, 4. September 2004.

  1. Knight

    Knight Amiga-Professor

    Registriert seit:
    Aug. 2000
    Beiträge:
    1.348
    Zustimmungen:
    0
    Die Special Edition meiner Erweiterung und AD&D Regelkorrektur steht jetzt zum Download bereit. Sie hat neben einer kompletten Überarbeitung und Ergänzung aller Bereiche der Vorversion, vor allem die regelkonforme Überarbeitung der Gegner zum Gegenstand. Insbesondere Magiekundige wurden hinsichtlich ihrer Vielfalt und KI deutlich erweitert. Daneben gibt es diverse andere Neuerungen, etwa eine neue Quest oder eine deutlich abwechslungsreichere und erweiterte Tempelgestaltung.

    Kommentare, Kritik und Anregungen sind stets willkommen und können gern in diesem Forum erfolgen.

    Link zur Downloadseite

    Link zur Homepage
     
    Zuletzt von einem Moderator bearbeitet: 28. Februar 2018
  2. Ravenklaw

    Ravenklaw Alter Weidenmann

    Registriert seit:
    Aug. 2002
    Beiträge:
    1.194
    Zustimmungen:
    0
    Wow... das klingt ja toll...
    Werde ich demnächst mal runterladen(lassen- habe nur ein 56k Modem) und dann ausgiebig testen...
     
  3. Sir Kameldar

    Sir Kameldar Palantíri-Sammler

    Registriert seit:
    Sep. 2001
    Beiträge:
    1.375
    Zustimmungen:
    0
    sehr sehr cool

    Mal ne Frage:

    Wenn ich im 1. Teil einen gnomischen Illusionisten spiele, kann ich den dann weiterverwenden?!

    Und wie siehts eigentlich mit den NPCs aus, wurden die auch alle Überarbeitet, bzw einer neuen Klasse zugeteilt?!
     
  4. Myrin

    Myrin Animist

    Registriert seit:
    März 2003
    Beiträge:
    804
    Zustimmungen:
    0
    Das klingt wirklich vielversprechend! :up: Jetzt hab ich endlich eine Ausrede mir wieder BG2 zu installieren :D
    Wirklich toll das du dir soviel Mühe machst :)
     
  5. Malik ibn Harun

    Malik ibn Harun Sohn der Wüste

    Registriert seit:
    Juni 2002
    Beiträge:
    7.688
    Zustimmungen:
    3
    Ein Durchgang mit nicht cheatenden Magiern als Gegnern? *träum*
    Klingt großartig! :up::)
     
  6. Trivalon

    Trivalon Schattenkrieger

    Registriert seit:
    Juli 2002
    Beiträge:
    2.677
    Zustimmungen:
    0
    Vielen Dank, dass du uns immer wieder einen neuen Anreiz gibst, BG wieder und wieder zu spielen! :):up:
    Ich werd sie schnellstens runterladen, auch wenn ich nur ein 56k Modem hab! :):D

    @Kameldar
    NPCs wurden schon in früheren Versionen überarbeitet.
    Wie's mit dem Illusionisten steht weiss ich nicht, aber es gibt einen Patch, damit die alten Magierklassen erhalten bleiben, im Notfall sollte es mit dem gehen.
     
  7. Mumme

    Mumme Verhüllter Enthüller

    Registriert seit:
    Mai 2003
    Beiträge:
    1.190
    Zustimmungen:
    1
    Glückwunsch Knight! :up: :)

    [flüster]Sag mal, kann es sein, das Deine Tage mit Hilfe eines geheimnisvollen Subraumverzerrers deutlich länger sind als meine? Falls Du so etwas besitzen solltest ... ich wäre interessiert. [/flüster]
    :D

    Frage: Muss man für die neue Version neu anfangen, oder funktionieren alte Savegames (mit KK natürlich) ?
     
  8. Sir Kameldar

    Sir Kameldar Palantíri-Sammler

    Registriert seit:
    Sep. 2001
    Beiträge:
    1.375
    Zustimmungen:
    0
    @ Trivalon

    Das will ich doch garnet...

    Ich möchte praktisch meinen Charakter aus BG1, einen gnomischen Illusionisten in einen BG2 Knights Kits Illusionisten verwandeln... :)
     
  9. Sol

    Sol Mönch/Assassine

    Registriert seit:
    Nov. 2003
    Beiträge:
    5.691
    Zustimmungen:
    0
    @Mumme

    Na ja gut ganz sicher bin ich mir nicht, ob du alte Saves nun weiterspielen kannst oder nicht im Nachhinein.

    Ich denke aber eher nicht, weil Knight einige Gegner im Spiel selber verändert hat und bei deinen Saves dürfte dies nicht der Fall sein, aber warten wir mal auf den Meister, der weiß das genauer ;)

    Aber prinzipiell hab ich mal folgendes Zitat in Knight's Unterforum bei den Rosenranken gefunden...

    Zitat von Knight (unter VI. Installation, Kompatiblität ) :

    Sofern das Spiel vorab bereits mit anderen Modifikationen versehen war, wozu auch eine frühere Version der Kiterweiterung zählt, muß es vor der erstmaligen Installation dieser Modifikation neu installiert werden. Vorab muß eine saubere Deinstallation erfolgen, d.h. das Spiel muß deinstalliert und danach der Spielordner von Hand gelöscht werden. Nur so ist sichergestellt, daß keine störenden Restdateien im Spielverzeichnis verbleiben.
     
  10. Knight

    Knight Amiga-Professor

    Registriert seit:
    Aug. 2000
    Beiträge:
    1.348
    Zustimmungen:
    0
    Zunächst einmal vielen Dank für den Beifall zur neuen Version.

    Zu den aufgeworfenen Fragen:

    @Sir Kameldar: Ja, beim Import in BG2 wird Dein Charakter automatisch zu einem Illusionisten i.S. meiner Modifikation.

    @Mumme:
    Nein, wie Sol schon richtig annahm, sind, wenn schon frühere Versionen vollständig entfernt werden müssen, selbstverständlich auch die Savegames nicht kompatibel. Das liegt zum einen an den gut 700 geänderten Gegnern, zum anderen an der teilweise erfolgten Neusortierung der internen Filestruktur der Modifikation.
     
  11. Sir Kameldar

    Sir Kameldar Palantíri-Sammler

    Registriert seit:
    Sep. 2001
    Beiträge:
    1.375
    Zustimmungen:
    0
    :):up: :):up: :):up:


    Danke Knight, danke Knight, danke Knight


    :D
     
  12. Blue

    Blue Kleptomanische Hexe

    Registriert seit:
    Juli 2000
    Beiträge:
    2.627
    Zustimmungen:
    0
    Vielleicht blöde Frage aber...
    da es bekanntlich nicht mit ToB geht, gibts irgend was um die Funktion zu bekommen das man sich Behälter ect. anzeigen lassen kann?

    Weiss leider aus Erfahrung das ich ohne das ziemlich blöd da steh immer.
     
    Zuletzt bearbeitet: 20. Oktober 2004
  13. Malik ibn Harun

    Malik ibn Harun Sohn der Wüste

    Registriert seit:
    Juni 2002
    Beiträge:
    7.688
    Zustimmungen:
    3
    Du könntest die Kits einfach illegalerweise auf eine ToB-Installation aufspielen. Nach meiner Erfahrung halten sich die Fehler dabei in Grenzen, ein paar leere Dialoge beim Zauberübertragen und ein Totalabsturz wenn du die Wachende Festung ansteuerst. :fies:

    Bevor ihr fragt: Ich mach das so, weil ich unter Win XP ohne ToB sofort den Bug mit den nicht ansprechbaren NPCs habe, da finde ich meine Version mit ToB immer noch 100x spielbarer als die korrekte Installation. :(
     
  14. Knight

    Knight Amiga-Professor

    Registriert seit:
    Aug. 2000
    Beiträge:
    1.348
    Zustimmungen:
    0
    Eigentlich sollte eben dieser Fehler mit dem aktuellen Patch 23037 ja gerade behoben sein. Zumindest scheint er einzig zu diesem Zweck herausgebracht worden zu sein. Die Readme listet als einzige Änderung gegenüber der Vorversion:

    "Fixes the NPC "X appears busy" bug associated with Win2K and WinXP."

    Aus diesem Grund habe ich die Special Edition auch noch einmal auf der Basis von einem neu installierten BG2 + diesem Patch zusammengestellt.
     
  15. Sol

    Sol Mönch/Assassine

    Registriert seit:
    Nov. 2003
    Beiträge:
    5.691
    Zustimmungen:
    0
    Steht drin zwar, allerdings zeigt die Erfahrung, das der SoA Patch noch lange nicht *so* wirksam ist wie es der ToB- Patch ist. Trotz neustem SoA Patch ist bei meinem WinXP auch manchmal dieser Bug gekommen, da hilft immer nur neuladen, wenn überhaupt... :rolleyes:
     
  16. Caswallon

    Caswallon Chronist

    Registriert seit:
    Aug. 2001
    Beiträge:
    11.460
    Zustimmungen:
    0
    BG1Tutu erscheint in der Kompatibilitätsliste als "Nein".
    Besteht die Chance, daß da ein "Ja" draus wird? :)

    Ansonsten - :up: da werde ich wohl in nächster Zeit mal wieder mehr BG2 spielen. :)

    Cas
     
  17. Knight

    Knight Amiga-Professor

    Registriert seit:
    Aug. 2000
    Beiträge:
    1.348
    Zustimmungen:
    0
    Ich werde mich auf jeden Fall um BG1Tutu bemühen. Daher auch kein "Nein", sondern ein "Derzeit noch nicht kompatibel" auf der Kompatibilitätsliste. In der Special Edition habe ich bereits wo immer möglich die nötigen Voraussetzungen von der Seite meines Mods aus geschaffen, insbesondere hinsichtlich einem Beginn ab Stufe 1 für Zauber und Kits.

    Soweit ich es bislang übersehe, wird das jedoch nicht genügen. Vielmehr bedarf es noch eines vermittelnden Patches, der nach der Installation von BG1Tutu + meinem Mod installiert wird und einige Korrekturen vornimmt. Ich werde damit demnächst genauer befassen.
     
  18. Sol

    Sol Mönch/Assassine

    Registriert seit:
    Nov. 2003
    Beiträge:
    5.691
    Zustimmungen:
    0
    @Knight

    Bei der Mac- Version der Knight Kits lief schon einiges recht gut in Verbindung mit bg1tutu...
    Sorry, falls ich mich wiederhole Knight, aber die Punkte waren in aller Kürze (und soweit meine Erinnerungen stimmen ;) ) folgende:

    - die Waffen passten nicht, d.h. der Schaden gegen große Gegner war nicht verzeichnet

    - die Rüstungen passten nicht, der Malus auf die Diebesfertigkeiten waren nämlich u.a. nicht gegeben

    - die Kits waren noch nicht auf Stufe 1 definiert

    "Wunschträume" ;) :

    - Händler mit KK Waffen
    - Magier die KK Zaubersprüche verkaufen bis zum 5. Grad
    - veränderte Tempel

    Zur Kompatibilität von KK und bg1tutu:
    Klar, das "Umständliche" an der ganzen Sache ist Knight, dass du zwar durchaus einen Schritt in Richtung Kompatibilität zu bg1tutu gehen willst mit den KK ; aber bg1tutu keinen Schritt in Richtung KK ;) .

    Naja mir würde jetzt spontan nur Harden Coonors Bg1tutu-Add-On , das da einen Schritt noch in Richtung in bg1tutu gehen könnte, aber das war ja bisher nicht das vornehmliche Ziel dieser Modifikation ;)

    Hmm, ich werd mal in den nächsten Tagen etwas rumprobieren mit bg1tutu und KK , ich hab da schon eine Idee nur, das muss ich erstmal testen. Wenn das klappt, dann müsste man nur die Kits ab der 1. Stufe mit der Mac- Versio definieren ;)
     
  19. Knight

    Knight Amiga-Professor

    Registriert seit:
    Aug. 2000
    Beiträge:
    1.348
    Zustimmungen:
    0
    Die Mac Version im Grunde nicht mehr als eine unkomprimierte Version der Modifikation. Das Problem auf dem Mac ist offenbar die veränderte chitin.key, weshalb sie nebst den BIFF Dateien für diese Version eben weggelassen wurde. Alle Dateien befinden sich statt dessen im Override Verzeichnis.

    Für eine Kompatibilität zu BG1Tutu, werde ich also gewiß nicht auf die Mac Version, bzw. Version 3.4 zurückgreifen, sondern die SE heranziehen. Schließlich sind hier die Änderungen hinsichtlich Kits und Zauber schon eingearbeitet.

    Das Problem scheint vielmehr darin begründet, daß BG1Tutu Zauber und Gegenstände aus BG1 importiert. Ich halte das für weitgehend überflüssig, da sich die meisten Gegenstände auch in BG2 wiederfinden. Mein Ansatz ist daher, nachträglich eine Änderung an der erfolgten BG1Tutu Installation vorzunehmen, um die importierten Zauber/Gegenstände wieder gegen die BG2 Versionen auszutauschen. Inwieweit das funktionieren wird, muß ich aber erst anhand praktischer Tests herausfinden
     
    Zuletzt bearbeitet: 5. September 2004
  20. Caswallon

    Caswallon Chronist

    Registriert seit:
    Aug. 2001
    Beiträge:
    11.460
    Zustimmungen:
    0
    Ich weiß nicht, ob du es schon angeschaut hast:
    Es wäre vielleicht sinnvoll, das Fixpack für BG1Tutu mit in Betracht zu ziehen, besonders die "Core Fixes".
    Einerseits sind einige der Bugfixes notwendig, andererseits macht das Fixpack das Leben wohl nicht gerade leichter, weil es ebenfalls nur nachträglich an der Konversion herumdoktort...

    Cas
     
  1. Diese Seite verwendet Cookies, um Inhalte zu personalisieren, diese deiner Erfahrung anzupassen und dich nach der Registrierung angemeldet zu halten.
    Wenn du dich weiterhin auf dieser Seite aufhältst, akzeptierst du unseren Einsatz von Cookies.
    Information ausblenden